#############################################################################
#
# Makefile for building the Table examples with Metrowerks MPW compilers
#
#############################################################################

AppCreator = 'ZTst'

PPC ÄÄ Table1PPC Table2PPC Table3PPC Table4PPC Table5PPC

68K ÄÄ Table168K Table268K Table368K Table468K Table568K

Clean ÄÄ
	:::Bin:ZafClean
	Delete -i Table1PPC Table2PPC Table3PPC Table4PPC Table5PPC
	Delete -i Table168K Table268K Table368K Table468K Table568K

ZafIncludes = :::Include:
Includes = -i : -i- -i {ZafIncludes},{MWCIncludes}
ZafLibraries = :::Library:Metrowerks:
Sym = #-sym full

PPCCPlus = MWCPPC
PPCCPlusOptions = {Includes} -bool on -Cpp_exceptions off -dialect cplus ¶
		-nomapcr -opt off -rostr -RTTI on {Sym} -prefix 'Z_Win_PPC++'
PPCLinkOptions = -c {AppCreator} {Sym} -dead initcode -o {Targ} ¶
		-sizemax 2048 -sizemin 2048 -t 'APPL' ¶
		-sizeflags suspendevents,canbackground,multifinderaware,childdiedevents,32bitclean,highlevelevents,remoteevents
PPCLinkLibraries = -weakimport "{SharedLibraries}DragLib" ¶
		-weakimport "{SharedLibraries}GXPrintingLib" ¶
		-weakimport "{SharedLibraries}QuickDrawGXLib" ¶
		"{SharedLibraries}InterfaceLib" ¶
		"{SharedLibraries}MathLib" ¶
		"{MWPPCLibraries}MSL C.PPC.Lib" ¶
		"{MWPPCLibraries}MSL C++.PPC.Lib" ¶
		"{MWPPCLibraries}MSL RuntimePPC.Lib" ¶
		"{MWPPCLibraries}MSL SIOUX.PPC.Lib" ¶
		"{ZafLibraries}ZafMacPPC.lib" ¶
		"{ZafLibraries}ZafMacPPCp.lib"

CPlus = MWC68K
CPlusOptions = {Includes} -b -bool on -Cpp_exceptions off -dialect cplus ¶
		-model far -nomapcr -opt off -RTTI on {Sym} -prefix 'Z_Win_68K++'
68KLinkOptions = -c {AppCreator} {Sym} -dead initcode -model far -o {Targ} ¶
		-sizemax 2048 -sizemin 2048 -t 'APPL' ¶
		-sizeflags suspendevents,canbackground,multifinderaware,childdiedevents,32bitclean,highlevelevents,remoteevents
68KLinkLibraries = "{MW68KLibraries}MacOS.lib" ¶
		"{MW68KLibraries}MathLib68K Fa(4i_8d).Lib" ¶
		"{MW68KLibraries}MSL C.68K Fa(4i_8d).Lib" ¶
		"{MW68KLibraries}MSL C++.68K Fa(4i_8d).Lib" ¶
		"{MW68KLibraries}MSL Runtime68K.Lib" ¶
		"{MW68KLibraries}MSL SIOUX.68K.Lib" ¶
		"{ZafLibraries}ZafMac68K.lib" ¶
		"{ZafLibraries}ZafMac68Kp.lib"

Table1ObjectsPPC = ¶
		table1.cpp.x ¶
		data.cpp.x

Table1Objects68K = ¶
		table1.cpp.o ¶
		data.cpp.o

Table1PPC ÄÄ {Table1ObjectsPPC}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLinkPPC ¶
		{PPCLinkOptions} ¶
		{PPCLinkLibraries} ¶
		{Table1ObjectsPPC}

Table168K ÄÄ {Table1Objects68K}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLink68K ¶
		{68KLinkOptions} ¶
		{68KLinkLibraries} ¶
		{Table1Objects68K}

Table2ObjectsPPC = ¶
		table2.cpp.x ¶
		data.cpp.x

Table2Objects68K = ¶
		table2.cpp.o ¶
		data.cpp.o

Table2PPC ÄÄ {Table2ObjectsPPC}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLinkPPC ¶
		{PPCLinkOptions} ¶
		{PPCLinkLibraries} ¶
		{Table2ObjectsPPC}

Table268K ÄÄ {Table2Objects68K}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLink68K ¶
		{68KLinkOptions} ¶
		{68KLinkLibraries} ¶
		{Table2Objects68K}

Table3ObjectsPPC = ¶
		table3.cpp.x ¶
		data.cpp.x

Table3Objects68K = ¶
		table3.cpp.o ¶
		data.cpp.o

Table3PPC ÄÄ {Table3ObjectsPPC}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLinkPPC ¶
		{PPCLinkOptions} ¶
		{PPCLinkLibraries} ¶
		{Table3ObjectsPPC}

Table368K ÄÄ {Table3Objects68K}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLink68K ¶
		{68KLinkOptions} ¶
		{68KLinkLibraries} ¶
		{Table3Objects68K}

Table4ObjectsPPC = ¶
		table4.cpp.x ¶
		data.cpp.x

Table4Objects68K = ¶
		table4.cpp.o ¶
		data.cpp.o

Table4PPC ÄÄ {Table4ObjectsPPC}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLinkPPC ¶
		{PPCLinkOptions} ¶
		{PPCLinkLibraries} ¶
		{Table4ObjectsPPC}

Table468K ÄÄ {Table4Objects68K}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLink68K ¶
		{68KLinkOptions} ¶
		{68KLinkLibraries} ¶
		{Table4Objects68K}

Table5ObjectsPPC = ¶
		table5.cpp.x ¶
		p_table5.cpp.x

Table5Objects68K = ¶
		table5.cpp.o ¶
		p_table5.cpp.o

Table5PPC ÄÄ {Table5ObjectsPPC}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLinkPPC ¶
		{PPCLinkOptions} ¶
		{PPCLinkLibraries} ¶
		{Table5ObjectsPPC}

Table568K ÄÄ {Table5Objects68K}
	Duplicate -y "{ZafLibraries}ZafMac.rsrc" {Targ}
	MWLink68K ¶
		{68KLinkOptions} ¶
		{68KLinkLibraries} ¶
		{Table5Objects68K}
